libzypp: zyppng::sat::detail::IBasicPoolComponent Class Reference

libzypp 17.38.14

zyppng::sat::detail::IBasicPoolComponent Class Reference

Shared base for IPoolComponent and IPreparedPoolComponent. More...

`#include <zypp/ng/sat/components/poolcomponents.h>`

Inheritance diagram for zyppng::sat::detail::IBasicPoolComponent:

## Public Member Functions
virtual void | checkDirty (Pool &)
| Probe external state.
virtual void | onInvalidate (Pool &, PoolInvalidation)
| React to pool invalidation — clear internal caches.
virtual void | onRepoAdded (Pool &, RepoIdType)
virtual void | onRepoRemoved (Pool &, RepoIdType)
virtual void | onReset (Pool &)
virtual | ~IBasicPoolComponent ()=default
| IBasicPoolComponent ()=default
| IBasicPoolComponent (const IBasicPoolComponent &)=delete
| IBasicPoolComponent (IBasicPoolComponent &&)=delete
IBasicPoolComponent & | operator= (const IBasicPoolComponent &)=delete
IBasicPoolComponent & | operator= (IBasicPoolComponent &&)=delete

## Detailed Description

Shared base for IPoolComponent and IPreparedPoolComponent.

Not intended for direct inheritance outside of those two interfaces. Provides the lifecycle callbacks common to both pre- and post-index phases.

Definition at line 59 of file poolcomponents.h.

## Constructor & Destructor Documentation

## ◆ ~IBasicPoolComponent()

virtual zyppng::sat::detail::IBasicPoolComponent::~IBasicPoolComponent | ( |  | ) |
| virtualdefault

## ◆ IBasicPoolComponent() [1/3]

zyppng::sat::detail::IBasicPoolComponent::IBasicPoolComponent | ( |  | ) |
| default

## ◆ IBasicPoolComponent() [2/3]

zyppng::sat::detail::IBasicPoolComponent::IBasicPoolComponent | ( | const IBasicPoolComponent & |  | ) |
| delete

## ◆ IBasicPoolComponent() [3/3]

zyppng::sat::detail::IBasicPoolComponent::IBasicPoolComponent | ( | IBasicPoolComponent && |  | ) |
| delete

## Member Function Documentation

## ◆ checkDirty()

virtual void zyppng::sat::detail::IBasicPoolComponent::checkDirty | ( | Pool & |  | ) |
| inlinevirtual

Probe external state.

May call pool.setDirty(). Called once per prepare() invocation, before any component prepare work starts. This is the ONLY point during the prepare sequence where calling setDirty() is legal (asserted in debug builds).

Reimplemented in zyppng::sat::NamespaceComponent.

Definition at line 65 of file poolcomponents.h.

## ◆ onInvalidate()

virtual void zyppng::sat::detail::IBasicPoolComponent::onInvalidate | ( | Pool & | ,
|  | PoolInvalidation | )
| inlinevirtual

React to pool invalidation — clear internal caches.

Reimplemented in zyppng::sat::PackagePolicyComponent.

Definition at line 67 of file poolcomponents.h.

## ◆ onRepoAdded()

virtual void zyppng::sat::detail::IBasicPoolComponent::onRepoAdded | ( | Pool & | ,
|  | RepoIdType | )
| inlinevirtual

Reimplemented in zyppng::sat::ArchitectureComponent.

Definition at line 68 of file poolcomponents.h.

## ◆ onRepoRemoved()

virtual void zyppng::sat::detail::IBasicPoolComponent::onRepoRemoved | ( | Pool & | ,
|  | RepoIdType | )
| inlinevirtual

Reimplemented in zyppng::sat::AutoInstalledComponent.

Definition at line 69 of file poolcomponents.h.

## ◆ onReset()

virtual void zyppng::sat::detail::IBasicPoolComponent::onReset | ( | Pool & |  | ) |
| inlinevirtual

Reimplemented in zyppng::sat::ArchitectureComponent, zyppng::sat::AutoInstalledComponent, zyppng::sat::NamespaceComponent, and zyppng::sat::PackagePolicyComponent.

Definition at line 70 of file poolcomponents.h.

## ◆ operator=() [1/2]

IBasicPoolComponent & zyppng::sat::detail::IBasicPoolComponent::operator= | ( | const IBasicPoolComponent & |  | ) |
| delete

## ◆ operator=() [2/2]

IBasicPoolComponent & zyppng::sat::detail::IBasicPoolComponent::operator= | ( | IBasicPoolComponent && |  | ) |
| delete

The documentation for this class was generated from the following file:

- zypp/ng/sat/components/poolcomponents.h